Skip to main content
PUT
/
v1
/
customers
/
{id}
/
entitlements
/
{feature_code}
Set customer entitlement
curl --request PUT \
  --url https://api.hyperline.co/v1/customers/{id}/entitlements/{feature_code} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": true,
  "reason": null,
  "expires_at": null
}
'
{
  "feature_code": "sso",
  "value": true,
  "reason": null,
  "expires_at": null,
  "created_at": "2024-12-20T16:04:11Z",
  "updated_at": "2024-12-20T16:04:11Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
feature_code
string
required

Body

application/json

Customer entitlement payload.

value
required

Entitlement value.

reason
string | null

Reason associated with a customer entitlement override.

Example:

null

expires_at
string<date-time> | null

Expiration date of a customer entitlement override.

Example:

null

Response

200 - application/json
feature_code
string
required

Feature code.

Example:

"sso"

value
required

Entitlement value.

reason
string | null
required

Reason associated with a customer entitlement override.

Example:

null

expires_at
string<date-time> | null
required

Expiration date of a customer entitlement override.

Example:

null

created_at
string<date-time>
required

Creation date.

Example:

"2024-12-20T16:04:11Z"

updated_at
string<date-time>
required

Last update date.

Example:

"2024-12-20T16:04:11Z"